/////////////////////////////////////////////////////////////////////////////
//	Psytec QR Code Decode Library [Ver.1.57 2015/08/24]
//  PsyQrDcd.h
//	DLL C|[gpwb_t@C
//	(C) 2003-2015 Psytec Inc.
//	URL:www.psytec.co.jp
/////////////////////////////////////////////////////////////////////////////

#if !defined(PSYQRDCD_H)
#define PSYQRDCD_H

// G[R[h`
#define QRD_ERROR_SYMBLE_NOT_FOUND	 0
#define QRD_ERROR_FILE_NOT_FOUND	-1
#define QRD_ERROR_READ_FAULT		-2
#define QRD_ERROR_BAD_FORMAT		-3
#define QRD_ERROR_SHARING_VIOLATION	-4
#define QRD_ERROR_NOT_ENOUGH_MEMORY	-5

// DLL t@NV
extern "C"
{
/////////////////////////////////////////////////////////////////////////////
// DecodePictureFile - 摜t@C̃fR[h
//   F摜t@CpX(BMPAJPEGAGIFAPINGATIFF`)
// ߂lFfR[hꂽV{A܂͏LG[R[h

__declspec(dllimport) int __stdcall DecodePictureFile(LPCSTR lpszFileName);


/////////////////////////////////////////////////////////////////////////////
// DecodePictureFileRect - 摜t@C̃fR[hifR[h͈͎wj
//   F摜t@CpX(BMPAJPEGAGIFAPINGATIFF`)AfR[h͈͍WiA゙AEAj
// ߂lFfR[hꂽV{A܂͏LG[R[h
//   lFW͉摜Ŝ̍_ƂsNZPʂŎw肵ĂB

__declspec(dllimport) int __stdcall DecodePictureFileRect(LPCSTR lpszFileName, int nLeftX, int nTopY, int nRightX, int nBottomY);


/////////////////////////////////////////////////////////////////////////////
// DecodeGrayScaleArray - O[XP[(256K)f[^̃fR[h
//   FO[XP[f[^z̉摜f[^(BYTE^)A摜A摜
// ߂lFfR[hꂽV{A܂ QRD_ERROR_SYMBLE_NOT_FOUND, QRD_ERROR_NOT_ENOUGH_MEMORY
//   lF摜f[^͍艡APsNZɂPoCgA256KA0= 255=

__declspec(dllimport) int __stdcall DecodeGrayScaleArray(LPBYTE lpbyData, int nWidth, int nHeight);


/////////////////////////////////////////////////////////////////////////////
// DecodeBinaryArray - oCi(Ql)f[^̃fR[h
//   FoCif[^z̉摜f[^(BYTE^)A摜A摜
// ߂lFfR[hꂽV{A܂ QRD_ERROR_SYMBLE_NOT_FOUND, QRD_ERROR_NOT_ENOUGH_MEMORY
//   lF摜f[^͍艡APsNZɂPoCgAQlA=FALSE(0) =TRUE(0ȊO)

__declspec(dllimport) int __stdcall DecodeBinaryArray(LPBYTE lpbyData, int nWidth, int nHeight);


/////////////////////////////////////////////////////////////////////////////
// GetDecodeData - fR[hʃf[^擾
//   Ff[^CfbNX(0)Af[^󂯎obt@AhX
// ߂lFf[^(oCg)A-1=f[^CfbNXs
//   lFf[^I[ɂ'\0'tĂ܂B(߂l̒ɂ'\0'͊܂܂Ă܂B)
//		   Ăяo lplpsBuff̒lɂ蓮삪قȂ܂B
//		   =NULL  Ńobt@OĂf[^̃AhXlplpsBuffɑ܂B
//		   !=NULL  w肳ꂽAhXɃobt@OĂf[^Rs[܂B

__declspec(dllimport) int __stdcall GetDecodeData(int nIndex, LPSTR* lplpsBuff);


/////////////////////////////////////////////////////////////////////////////
// GetDecodeVersion - fR[hV{̌^Ԏ擾
//   Ff[^CfbNX(0)
// ߂lF^(1`40)A-1=f[^CfbNXs

__declspec(dllimport) int __stdcall GetDecodeVersion(int nIndex);


/////////////////////////////////////////////////////////////////////////////
// GetDecodeLevel - fR[hV{̌x擾
//   Ff[^CfbNX(0)
// ߂lFx(0=L, 1=M, 2=Q, 3=H)A-1=f[^CfbNXs

__declspec(dllimport) int __stdcall GetDecodeLevel(int nIndex);


/////////////////////////////////////////////////////////////////////////////
// GetDecodeMaskingNo - fR[hV{̃}XLOp^[ԍ擾
//   Ff[^CfbNX(0)
// ߂lF}XLOp^[ԍ(0`7)A-1=f[^CfbNXs

__declspec(dllimport) int __stdcall GetDecodeMaskingNo(int nIndex);


/////////////////////////////////////////////////////////////////////////////
// GetConcatenationInfo - fR[hV{̘A擾
//   Ff[^CfbNX(0)AAV[PX(|C^)AA`FbNfWbg(|C^)
// ߂lFf[^A(1`16)A0=Af[^A-1=f[^CfbNXs

__declspec(dllimport) int __stdcall GetConcatenationInfo(int nIndex, LPINT lpnSeqNo, LPBYTE lpbyCheckDigit);


/////////////////////////////////////////////////////////////////////////////
// GetSymbolePosition - fR[hV{̈ʒu擾
//   Ff[^CfbNX(0)AW󂯎z
// ߂lF0=IA-1=f[^CfbNXs
//   lFW󂯎źAԂ̃V{̍ォ玞v
//		   [0]=゘A[1]=゙A[2]=E゘A[3]=E゙A[4]=EA[5]=EA[6]=A[7]=
//		   POINT[4]LXgēnƂ\łB

__declspec(dllimport) int __stdcall GetSymbolePosition(int nIndex, int nPositon[8]);


/////////////////////////////////////////////////////////////////////////////
// SetDecodeSymbolCount - fR[hV{̏ݒ
//   FfR[hV{(1`32)A0=ǂݎ萬_̃xŏI(l)
//   lFfR[hł͗lXȉ摜ɑΉ邽ߕ̉摜HsĂ܂B
//		   0ݒ肵ꍇAꃌx̏œǂݎ邱ƂłV{͑Sēǂݎ܂B
//		   1ȏ̐ݒł͏ɒBƏI܂AtɏɒB܂ŏI܂̂ŁA
//		   ǂݗƂhꍇɂpB
//		   ݒl̓vOI(DLLA[h)܂ŗLłB

__declspec(dllimport) void __stdcall SetDecodeSymbolCount(int nCount);


/////////////////////////////////////////////////////////////////////////////
// SetDecodeEffectLevel - 摜x̐ݒ
//   FfR[hx(0`3)Al=3
//   lF0=łPȂQl̂ݍs܂B
//		   1=ݒ0ɉmCYs܂B
//		   2=ݒ0ɉ摜̕IȖÕ␳s܂B
//		   3=ݒ1Ɛݒ2̗̏s܂B
//		   ݒl̓vOI(DLLA[h)܂ŗLłB

__declspec(dllimport) void __stdcall SetDecodeEffectLevel(int nLevel);


/////////////////////////////////////////////////////////////////////////////
// SetBrightnessBorder - 摜Âlݒ
//   FÂl(0`255)A0=ݒ(l)
//   lFݒ莞ɂ͉摜Ŝōł邢_ƈÂ_̒ԒllƂĂ܂B
//		   V{ȊỎ摜܂܂ĂāAl߂ȂꍇȂǂɐݒ肵ĂB
//		   ݒl̓vOI(DLLA[h)܂ŗLłB

__declspec(dllimport) void __stdcall SetBrightnessBorder(BYTE byBorder);


/////////////////////////////////////////////////////////////////////////////
// SetMinimumModuleSize - V{ŏW[Pʐݒ
//   FW[TCY(1`255)Al=1
//   lFW[̑傫ȃV{FꍇAK؂Ȓlݒ肷邱Ƃŏł܂B
//		   ݒl̓vOI(DLLA[h)܂ŗLłB

__declspec(dllimport) void __stdcall SetMinimumModuleSize(BYTE bySize);


/////////////////////////////////////////////////////////////////////////////
// FreeAllocateMemory - fR[hʕۑ̊J
//   lFfR[hʂ̃f[^V{ۑĂ郁J܂B
//		   ̉̓fR[hw֐̌ĂяoDLLA[hɂIɍs܂B

__declspec(dllimport) void __stdcall FreeAllocateMemory();


/////////////////////////////////////////////////////////////////////////////
// GetErrorLevel - ǂݎG[ڍ׏擾
// ߂lF0=G[ȂA1=ʒuop^[oA2=ʒuop^[̃V{osA3=f[^ǂݎ莸s

__declspec(dllimport) int __stdcall GetErrorLevel();

}

#endif // !defined(PSYQRDCD_H)
